%global momorel 1

Summary: .NET language binding for the GTK+ toolkit
Name: gnome-sharp
Version: 2.20.1
Release: %{momorel}m%{?dist}
Group: System Environment/Libraries
License: LGPL
URL: http://www.mono-project.com/
Source0: ftp://ftp.gnome.org/pub/gnome/sources/%{name}/2.20/%{name}-%{version}.tar.bz2
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: pkgconfig
BuildPrereq: gtk2-devel >= 2.12.9
BuildPrereq: mono-devel >= 1.9.1
BuildPrereq: gtk-sharp2-devel >= 2.12.1
BuildPrereq: libart_lgpl-devel >= 2.3.20
BuildPrereq: gnome-vfs2-devel >= 2.22.0
BuildPrereq: libgnomecanvas-devel >= 2.20.1.1
BuildPrereq: glib2-devel >= 2.16.3
BuildPrereq: gnome-panel-devel >= 2.22.1.1
Requires: mono-core >= 1.9.1
Requires: gtk2 >= 2.12.9

%description
Gtk# is a .NET language binding for the GTK+ toolkit and assorted GNOME
libraries.  Gtk# is free software, licensed under the GNU LGPL.  The target
is the 2.6 platform.

%package devel
Summary: .NET language binding for the GTK+ toolkit (devel)
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gtk2-devel
Requires: mono-devel
Requires: gtk-sharp-devel
Requires: libart_lgpl-devel
Requires: gnome-vfs-devel
Requires: libgnomecanvas-devel
Requires: libgnomeui-devel
Requires: libgnomeprintui-devel
Requires: glib-devel
Requires: gnome-panel-devel
Requires: librsvg-devel
Requires: gtkhtml-devel
Requires: vte-devel

%description devel
gnome-sharp devel

%prep
%setup -q

%build
%configure --program-prefix=""
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING HACKING NEWS README
%{_bindir}/gconfsharp2-schemagen
%{_libdir}/lib*sharpglue-*.so

%{_prefix}/lib/gtk-sharp-2.0/*

%{_prefix}/lib/mono/gac/art-sharp
%{_prefix}/lib/mono/gac/gconf-sharp-peditors
%{_prefix}/lib/mono/gac/gconf-sharp
%{_prefix}/lib/mono/gac/gnome-sharp
%{_prefix}/lib/mono/gac/gnome-vfs-sharp

%{_prefix}/lib/mono/gac/policy.2.*.art-sharp
%{_prefix}/lib/mono/gac/policy.2.*.gconf-sharp-peditors
%{_prefix}/lib/mono/gac/policy.2.*.gconf-sharp
%{_prefix}/lib/mono/gac/policy.2.*.gnome-sharp
%{_prefix}/lib/mono/gac/policy.2.*.gnome-vfs-sharp

%{_prefix}/lib/mono/gtk-sharp-2.0/art-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/gconf-sharp-peditors.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/gconf-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/gnome-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/gnome-vfs-sharp.dll

%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.*.art-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.*.gconf-sharp-peditors.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.*.gconf-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.*.gnome-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.*.gnome-vfs-sharp.dll

%{_datadir}/gapi-2.0/*.xml

%files devel
%defattr(-,root,root)
%{_libdir}/lib*sharpglue-*.a
%{_libdir}/pkgconfig/*.pc

%changelog
* Wed Apr 23 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.1-1m)
- update to 2.20.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.20.0-2m)
- rebuild against gcc43

* Wed Mar  5 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.0-1m)
- update to 2.20.0

* Fri Feb 15 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.1-1m)
- update 2.16.1

* Wed Mar 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0-4m)
- add patch0 for gtkhtml-3.14.0

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0-3m)
- delete all patches (no needs)

* Wed Aug 30 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0-2m)
- delete duplicate dir %%{_prefix}/lib/mono/gtk-sharp-2.0

* Tue Aug 29 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0-1m)
- initial build
